/*******************************************************
*   Zodius©
*
*   Test hook for Zodius Lib
*
*   @author  YNOP (ynop@acm.org) 
*   @vertion test
*   @date    April 30 2001
*******************************************************/
#include <Application.h>
#include <AppKit.h>
#include <InterfaceKit.h>
#include <StorageKit.h>
#include <Path.h>
#include <String.h>

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <string.h>

#include "ZWindow.h"
#include "ZView.h"

/*******************************************************
*   Our wonderful BWindow, ya its kewl like that.
*   we dont do much here but set up the menubar and 
*   let the view take over.  We also nead some message
*   redirection and handling
*******************************************************/
ZWindow::ZWindow(BRect frame) : BWindow(frame," Zodius ",B_TITLED_WINDOW,B_ASYNCHRONOUS_CONTROLS|B_NOT_RESIZABLE|B_NOT_ZOOMABLE){
   View = new ZView(Bounds());
   AddChild(View);
   Show();
}

/*******************************************************
*  
*******************************************************/
void ZWindow::FrameResized(float,float){
}

/*******************************************************
*  
*******************************************************/
void ZWindow::WindowActivated(bool active){
}

/*******************************************************
*   More nothingness. pass menu msg down to View.
*   like new game and pause and stuff like that.
*******************************************************/
void ZWindow::MessageReceived(BMessage* msg){
   switch(msg->what){
   default:
      BWindow::MessageReceived(msg);
   }
}

/*******************************************************
*   Someone asked us nicely to quit. I gess we should
*   so clean up. save our setings (position of win)
*   and tell the main be_app to shut it all down .. bye
*******************************************************/
bool ZWindow::QuitRequested(){
  
   be_app->Lock();
   be_app->Quit();
   be_app->Unlock();
   return true;
}
