/*
	Copyright (c) 2000, Tinic Uro <tinic@tinic.net> 
	All rights reserved. Please read the LICENSE file 
	which is included in this distribution for details.
*/
#ifndef _ZDASH_H_
#define _ZDASH_H_

#include "ZSystem.h"
#include "ZConfig.h"

/// Data structure to describe dashes
class ZDash
{
	public:
						ZDash();
						ZDash(const ZDash &from);
		virtual			~ZDash() {};

				void	SetLength(float32 length, sint32 slot);
		const	float32	Length(sint32 slot) const;

				ZDash	&operator=(const ZDash &from);


	private:

		float32	lengths[ZDASHSLOTS];
};

#endif