/*
	Copyright (c) 2000, Tinic Uro <tinic@tinic.net> 
	All rights reserved. Please read the LICENSE file 
	which is included in this distribution for details.
*/
#ifndef _ZRECT_H_
#define _ZRECT_H_
#include "ZPoint.h"

class ZRect
{
	public:
		
		float32		left;
		float32		top;
		float32		width;
		float32		height;
		
		
					ZRect(float32 l=0, float32 t=0, float32 w=0, float32 h=0):
						left(l), top(t), width(w), height(h)
					{
					}
					
		ZPoint		Origin() const { return ZPoint(left,top); }
		ZPoint		Size() const { return ZPoint(width,height); }
		float32		Left() const { return left; }
		float32		Top() const { return top; }
		float32		Width() const { return width; }
		float32		Height() const { return height; }
	
};


#endif